https://gitlab.gnome.org/GNOME/libmediaart/-/merge_requests/15

From 8cfc2a3fd5144ad116285f637506b1d39c469212 Mon Sep 17 00:00:00 2001
From: Matt Turner <mattst88@gmail.com>
Date: Sat, 26 Mar 2022 10:25:56 -0700
Subject: [PATCH] meson: add vapi option

---
 libmediaart/meson.build | 10 ++++++----
 meson_options.txt       |  1 +
 2 files changed, 7 insertions(+), 4 deletions(-)

diff --git a/libmediaart/meson.build b/libmediaart/meson.build
index 2f44e63..74aa4df 100644
--- a/libmediaart/meson.build
+++ b/libmediaart/meson.build
@@ -60,10 +60,12 @@ if get_option('introspection')
     install: true
   )
 
-  libmediaart_vapi = gnome.generate_vapi('libmediaart-' + libmediaart_api_version,
-    sources: libmediaart_gir_and_typelib[0],
-    packages: 'gio-2.0',
-    install: true)
+  if get_option('vapi')
+    libmediaart_vapi = gnome.generate_vapi('libmediaart-' + libmediaart_api_version,
+      sources: libmediaart_gir_and_typelib[0],
+      packages: 'gio-2.0',
+      install: true)
+  endif
 endif
 
 libmediaart_dep = declare_dependency(
diff --git a/meson_options.txt b/meson_options.txt
index b8c51b1..c97c054 100644
--- a/meson_options.txt
+++ b/meson_options.txt
@@ -2,6 +2,7 @@ option('image_library', type: 'combo', choices: ['auto', 'gdk-pixbuf', 'qt4', 'q
        description: 'Which image processing backend to use')
 option('introspection', type : 'boolean', value : 'true',
        description : 'Enable / disable the GObject-Introspection integration')
+option('vapi', type : 'boolean', value : 'true')
 option('gtk_doc',
   type: 'boolean',
   value: 'false',
-- 
2.34.1

